---
layout: default
title: '2021 Global DevSecOps Survey'
description: 'For the fourth year in a row, we asked DevOps teams to tell the truth about their practices and processes, their challenges and their careers.'
twitter_image: "/images/opengraph/2021-devsecops-survey-results.png"
twitter_image_alt: "title of the page with a graphical representation of devops, which looks like an infinity sign for the software development lifecycle"
twitter_site: "gitlab"
twitter_creator: "gitlab"
canonical_path: "/developer-survey/"
suppress_header: true
disable_default_styles: true
disable_handbook_styles: true
extra_css:
  - slippers.css
  - home2020.css
---

%main.slp-px-16.slp-container.slp-mx-auto.lg:slp-px-60
  %section.slp-pt-48.md:slp-grid-cols-2.md:slp-grid.md:slp-pb-60.md:slp-gap-12
    %img.slp-w-full.md:slp-max-w-2xl.md:slp-order-2.md:slp-justify-self-center{:alt => "", :src => "/images/developer-survey/decsecops-survey-2021-landing_header.svg"}/
    %div
      %h1.slp-text-3xl.slp-pt-32.slp-pb-16.sm:slp-mr-16.md:slp-text-5xl.lg:slp-mr-96
        2021 Global DevSecOps Survey
      %p.slp-text-md.slp-pb-8.md:slp-text-xl
        For the fourth year in a row, we asked DevOps teams to tell the truth
        about their practices and processes, their challenges and their careers.
      %a.slp-btn{:download => "", :href => "https://learn.gitlab.com/c/2021-devsecops-report?x=u5RjB_"}
        Download the report
  %section.slp-pt-48.md:slp-grid-cols-12.md:slp-grid.md:slp-py-60.slp-gap-12
    %h2.slp-text-lg.slp-pb-12.md:slp-col-span-5.md:slp-text-xxl
      In the midst of a global pandemic and a new way of working, DevOps teams
      got serious about what matters most.
    .md:slp-col-span-7
      %p.slp-text-base.slp-pb-12.md:slp-mr-96
        Our 2021 Global DevSecOps Survey found sharp increases in automation,
        release cadences, continuous deployments, and security postures, as well
        as a growing reliance on cutting edge technologies, including artificial
        intelligence and machine learning. Nearly 4,300 people shared their
        struggles and successes, and demonstrated a commitment to DevOps
        maturity like we’ve never seen before.
      %a.slp-text-base.slp-text-ui-secondary-dark{:download => "", :href => "https://learn.gitlab.com/c/2021-devsecops-report?x=u5RjB_"}
        Download the survey results →
  %section.slp-py-60.md:slp-grid.md:slp-grid-cols-2.md:slp-gap-12
    %img.slp-pb-24.slp-w-full.md:slp-max-w-2xl.slp-order-2.md:slp-justify-self-center{:alt => "", :src => "/images/developer-survey/decsecops-survey-2021-landing_planets.svg"}/
    .slp-pb-16.slp-order-1
      %h3.slp-text-xxl.slp-pb-16 Developers
      %p.slp-text-base.slp-pb-16
        A full 60% of devs are releasing code 2x faster than ever before, thanks
        to DevOps. And in the last year, developers definitely went big: Rather
        than focusing on incremental improvements, devs brought “high impact
        technologies” into their process including source code management,
        CI/CD, a DevOps platform, and automated testing.
      %p.slp-text-base.slp-pb-16
        What’s still challenging? Testing (not enough, too late in the process,
        insufficient automation) and code reviews (too little, too late, take
        too long). And developers have a long list of process improvements –
        from AI/ML to performance optimizations – they’d like to have time to
        tackle.
      %a.slp-text-base.slp-text-ui-secondary-dark{ :href => "https://learn.gitlab.com/c/2021-devsecops-report?x=u5RjB_"}
        Read the entire survey →
    .slp-pb-16.slp-order-3
      %h3.slp-text-xxl.slp-pb-16 Security
      %p.slp-text-base.slp-pb-16
        In a dramatic sign of progress, 72% of security pros rated their
        organizations’ security efforts as either “good” or “strong.” DevOps
        teams are certainly running more security scans than ever before: over
        half run SAST scans, 44% run DAST, and around 50% scan containers and
        dependencies. And 70% of security team members say security has shifted
        left.
      %p.slp-text-base.slp-pb-16
        But, old habits die hard when it comes to friction with developers.
        Although the percentage of security pros frustrated with developer
        behaviors around bugs has decreased substantially, true harmony remains
        a way off – over three-quarters of the security team continue to think
        devs find too few bugs too late in the process.
      %a.slp-text-base.slp-text-ui-secondary-dark{:download => "", :href => "https://learn.gitlab.com/c/2021-devsecops-report?x=u5RjB_"}
        Download the survey →
    .slp-pb-16.slp-order-4
      %h3.slp-text-xxl.slp-pb-16 Operations
      %p.slp-text-base.slp-pb-16
        On the ops side, automation is happening: 56% reported their teams are
        either fully or “mostly” automated. And changes are happening too – devs
        are taking on more traditional ops tasks, like provisioning, while the
        operations team is either managing cloud services or focused on
        infrastructure or hardware.
      %p.slp-text-base.slp-pb-16
        And the future is shifting too: A slim majority of ops pros think
        advanced programming will be the most important skill for their future
        careers, an interesting direction for this role. Take a deep dive into
        our 2021 DevSecOps survey results and see how you compare.
      %a.slp-text-base.slp-text-ui-secondary-dark{:download => "", :href => "https://learn.gitlab.com/c/2021-devsecops-report?x=u5RjB_"}
        Download the survey →
  %section.slp-flex.slp-flex-col.slp-pb-60
    %img.slp-m-auto.slp-pb-16{:alt => "", :src => "/images/developer-survey/social-proof.png"}/
    %h2.slp-text-xl.slp-text-center.slp-pb-8
      Curious what nearly 4,300 people had to say?
    %a.slp-m-auto.slp-btn{:download => "", :href => "https://learn.gitlab.com/c/2021-devsecops-report?x=u5RjB_"}
      Download the Report
